function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("OpenEdge Replication:  User Guide","0");
A=P.fN("Preface ","1");
var B=A.fN("Purpose","1#wp127419");
B=A.fN("Audience","1#wp127428");
B=A.fN("Organization","1#wp127440");
B=A.fN("Using this manual","1#wp120781");
B=A.fN("Typographical conventions","1#wp124483");
B=A.fN("Examples of syntax descriptions","1#wp120948");
B=A.fN("OpenEdge messages","1#wp121544");
B=A.fN("Third party acknowledgements","1#wp120723");
A=P.fN("Overview of OpenEdge Replication","2#wp636177");
B=A.fN("What is OpenEdge Replication","3");
var C=B.fN("Primary benefits","4");
C=B.fN("Key features","5");
B=A.fN("OpenEdge Replication terminology and architecture","6");
C=B.fN("Primary and secondary databases","7");
C=B.fN("Source and target databases","8");
C=B.fN("OpenEdge Replication property files","9");
C=B.fN("Source and target architecture requirements","10");
C=B.fN("OpenEdge Replication server","11");
C=B.fN("OpenEdge Replication agent","12");
B=A.fN("Using synchronous or asynchronous replication","13");
B=A.fN("OpenEdge Replication failure processing","14");
C=B.fN("Synchronization","15");
C=B.fN("Server failure recovery","16");
C=B.fN("Agent failure recovery","17");
B=A.fN("Special database considerations","18");
C=B.fN("Database integrity","19");
C=B.fN("Database availability","20");
C=B.fN("Enhanced Read-Only mode","21");
C=B.fN("Schema lock","22");
C=B.fN("Forced truncation of the source database before-image file","23");
C=B.fN("Target quiet points","24");
C=B.fN("Online backup of the target database","25");
A=P.fN("Planning for OpenEdge Replication","26#wp623416");
B=A.fN("Preliminary planning tasks","27");
C=B.fN("Creating a database backup plan","28");
C=B.fN("Evaluating your production database","29");
B=A.fN("OpenEdge Replication and after-imaging","30");
C=B.fN("After-image extents","31");
C=B.fN("Calculating current after-image volume","32");
B=A.fN("Replication and after-image extents","33");
B=A.fN("After-image extent sizing on a source database","34");
C=B.fN("Calculating fixed after-image extent size","35");
C=B.fN("Using variable extents","36");
B=A.fN("Determining OpenEdge Replication network bandwidth","37");
C=B.fN("Estimating network bandwidth","38");
C=B.fN("Anticipating additional network overhead","39");
C=B.fN("Additional references","40");
B=A.fN("Additional business considerations","41");
C=B.fN("Latency","42");
C=B.fN("Acceptable target database downtime","43");
C=B.fN("Appropriate failover behavior","44");
C=B.fN("Limitations and restrictions","45");
C=B.fN("Ensuring success when using after-imaging","46");
B=A.fN("A summary of OpenEdge Replication and after-imaging","47");
A=P.fN("Implementing OpenEdge Replication","48#wp716273");
B=A.fN("Choosing the implementation method","49");
C=B.fN("Using the default implementation","50");
C=B.fN("Using the deferred agent startup implementation","51");
B=A.fN("Setting up the source database for OpenEdge Replication","52");
C=B.fN("Setting up the source database with an offline backup","53");
C=B.fN("Setting up the source database with an online backup","54");
B=A.fN("Setting up the target database","55");
B=A.fN("Configuring the OpenEdge Replication property files","56");
C=B.fN("Configuring the source database property file","57");
C=B.fN("Configuring the target database property file","58");
B=A.fN("Starting OpenEdge Replication","59");
B=A.fN("Starting the source database","60");
C=B.fN("Starting the target database","61");
C=B.fN("Message logging during startup","62");
B=A.fN("Restoring source and target databases","63");
B=A.fN("OpenEdge Replication startup and initialization process","64");
B=A.fN("Database connection considerations","65");
B=A.fN("Database access once OpenEdge Replication is running","66");
C=B.fN("Target database access","67");
C=B.fN("Source database access","68");
B=A.fN("Stopping OpenEdge Replication","69");
C=B.fN("Shutting down the source database","70");
C=B.fN("Shutting down the target database","71");
C=B.fN("Shutting down the OpenEdge Replication server","72");
C=B.fN("Terminating the OpenEdge Replication agent","73");
C=B.fN("Emptying AI extents on the source database","74");
B=A.fN("Latency reporting","75");
C=B.fN("OpenEdge Replication server perspective","76");
C=B.fN("OpenEdge Replication agent perspective","77");
B=A.fN("OpenEdge Replication utilities and commands","78");
B=A.fN("Normal OpenEdge Replication activity","79");
C=B.fN("Normal source database activity","80");
C=B.fN("Normal target database activity","81");
B=A.fN("Choosing a hot standby database","82");
B=A.fN("Handling OpenEdge Replication failure conditions","83");
C=B.fN("Database crash","84");
C=B.fN("Lost connection","85");
B=A.fN("Transitioning to the target database","86");
C=B.fN("Configuring transition","87");
C=B.fN("Transition processing","88");
C=B.fN("Manually applying after-image extents","89");
C=B.fN("Re-enabling OpenEdge Replication after transition","90");
A=P.fN("OpenEdge Replication: From Failure to Recovery","91#wp635256");
B=A.fN("Overview of database failure recovery","92");
C=B.fN("OpenEdge Replication failure recovery terminology","93");
C=B.fN("The OpenEdge Replication property files","94");
B=A.fN("Transition","95");
C=B.fN("Enhancements to transition functionality","96");
C=B.fN("Planning for transition","97");
B=A.fN("How OpenEdge Replication works","98");
C=B.fN("Step 1: Primary replication before a failure","99");
C=B.fN("Step 2: Primary machine failure","100");
C=B.fN("Step 3: Entering pretransition","101");
C=B.fN("Step 4: Transitioning the target database to a source database","102");
C=B.fN("Step 5: Failover","103");
C=B.fN("Step 6: Primary machine repair complete","104");
C=B.fN("Step 7: Initiating primary database transition","105");
C=B.fN("Step 8: Secondary replication is performed","106");
C=B.fN("Step 9: The Replication failback process","107");
B=A.fN("Recovery from transition failures","108");
B=A.fN("Transition logging","109");
B=A.fN("Transition properties","110");
C=B.fN("Setting transition properties","111");
B=A.fN("Sample startup parameter file","112");
C=B.fN("Source database startup parameter file","113");
C=B.fN("Target database startup parameter file","114");
C=B.fN("Normal database startup parameter file","115");
B=A.fN("Reference","116");
C=B.fN("Transition command actions","117");
C=B.fN("Transition properties summary","118");
A=P.fN("Reference","119#wp619004");
B=A.fN("OpenEdge Replication property files","120");
C=B.fN("Sample OpenEdge Replication source properties file","121");
C=B.fN("Sample OpenEdge Replication target properties file","122");
C=B.fN("Sample OpenEdge Replication combined properties file","123");
B=A.fN("OpenEdge Replication properties","124");
C=B.fN("Server properties","125");
C=B.fN("Control agent properties","126");
C=B.fN("Agent properties","127");
B=A.fN("DSRUTIL utility","128");
B=A.fN("DSRUTIL applyextent qualifier","129");
B=A.fN("DSRUTIL canceldefer server qualifier","130");
B=A.fN("DSRUTIL connectagent database qualifier","131");
B=A.fN("DSRUTIL disablesitereplication qualifier","132");
B=A.fN("DSRUTIL monitor qualifier","133");
B=A.fN("DSRUTIL recovery qualifier","134");
B=A.fN("DSRUTIL relwaits qualifier","135");
B=A.fN("DSRUTIL restart server qualifier","136");
B=A.fN("DSRUTIL startagent database qualifier","137");
B=A.fN("DSRUTIL status qualifier","138");
C=B.fN("When the detail argument is not used","139");
B=A.fN("DSRUTIL terminate qualifier","140");
B=A.fN("DSRUTIL transition qualifier","141");
B=A.fN("DSRUTIL triggertransition qualifier","142");
B=A.fN("OpenEdge Replication DSRUTIL MONITOR","143");
C=B.fN("Startup menu","144");
C=B.fN("Replication server status","145");
C=B.fN("Replication server remote agents","146");
C=B.fN("Replication remote agents status","147");
C=B.fN("Replication agent status","148");
B=A.fN("Virtual system tables for OpenEdge Replication","149");
C=B.fN("Virtual system table field descriptions","150");
B=A.fN("Utilities and OpenEdge Replication","151");
B=A.fN("Starting OpenEdge Replication with the Progress Explorer and dbman","152");
B=A.fN("OpenEdge Replication and database management systems","153");
A=P.fN("OpenEdge Replication Quick Command Summary","154#wp623758");
B=A.fN("Configuring the OpenEdge Replication properties files","155");
B=A.fN("Setting up the source and target databases","156");
B=A.fN("Configuring OpenEdge Replication with deferred agent startup","157");
B=A.fN("Configuring OpenEdge Replication for one agent","158");
B=A.fN("Configuring OpenEdge Replication for two agents","159");
B=A.fN("Starting OpenEdge Replication","160");
B=A.fN("Stopping OpenEdge Replication","161");
B=A.fN("Terminating the OpenEdge Replication server and agent","162");
B=A.fN("Configuring for automatic transition","163");
B=A.fN("Configuring for manual transition","164");
B=A.fN("Using manual transition","165");
B=A.fN("Re-enabling OpenEdge Replication after transition","166");
B=A.fN("Restarting OpenEdge Replication server after target shutdown","167");
B=A.fN("Monitoring an OpenEdge Replication database","168");
}
